Bug 221339 (qt5-webkit-5.212) - [exp-run] Update www/qt5-webkit to 5.212
Summary: [exp-run] Update www/qt5-webkit to 5.212
Status: Closed FIXED
Alias: qt5-webkit-5.212
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D9048
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-08 17:39 UTC by Tobias C. Berner
Modified: 2017-08-20 08:47 UTC (History)
4 users (show)

See Also:


Attachments
v1 (35.31 KB, patch)
2017-08-08 17:39 UTC, Tobias C. Berner
no flags Details | Diff
v2 (35.31 KB, patch)
2017-08-18 12:06 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2017-08-08 17:39:02 UTC
Created attachment 185159 [details]
v1

Hi there

kde@ would like to ask for an exp-run to replace the current implementation of www/qt5-webkit with a new fork.


It should be a drop-in replacement and everything should just build&run with it.


The patch is attached, and can also be found here:
http://people.freebsd.org/~tcberner/patches/qt5-webkit.v1.diff
Comment 2 Tobias C. Berner freebsd_committer 2017-08-18 12:06:43 UTC
Created attachment 185545 [details]
v2

Oh, sorry, mishap when switching to DISTVERSION.

http://people.freebsd.org/~tcberner/patches/qt5-webkit.v2.diff
Comment 3 Antoine Brodin freebsd_committer 2017-08-20 07:23:19 UTC
Exp-run looks fine on freebsd 10 and 11.
Comment 4 commit-hook freebsd_committer 2017-08-20 08:46:21 UTC
A commit references this bug:

Author: tcberner
Date: Sun Aug 20 08:45:49 UTC 2017
New revision: 448361
URL: https://svnweb.freebsd.org/changeset/ports/448361

Log:
  Replace www/qt5-webkit by a maintained fork.

  Qt dropped WebKit in favour of WebEngine, and the used WebKit base in
  www/qt5-webkit is therefore very outdated.

  The fork at [1] is a QtWebKit implementation on a modern WebKit code base.

  [1] https://github.com/annulen/webkit

  PR:		221339
  Exp-Run by:	antoine
  Reviewed by:	rakuco
  Differential Revision:	https://reviews.freebsd.org/D9048

Changes:
  head/www/qt5-webkit/Makefile
  head/www/qt5-webkit/distinfo
  head/www/qt5-webkit/files/patch-Source_JavaScriptCore_assembler_ARMAssembler.h
  head/www/qt5-webkit/files/patch-Source_WTF_wtf_Platform.h
  head/www/qt5-webkit/files/patch-Source_WebCore_platform_graphics_cpu_arm_filters_FELightingNEON.cpp
  head/www/qt5-webkit/files/patch-Source_WebCore_platform_graphics_surfaces_GraphicsSurfaceToken.h
  head/www/qt5-webkit/files/patch-Source_WebCore_platform_leveldb_LevelDBDatabase.cpp
  head/www/qt5-webkit/files/patch-Source_WebKit_PlatformQt.cmake
  head/www/qt5-webkit/files/patch-Source__JavaScriptCore__runtime__JSCJSValueInlines.h
  head/www/qt5-webkit/files/patch-Source__QtWebKit.pro
  head/www/qt5-webkit/files/patch-Source__WebCore__page__NavigatorBase.cpp
  head/www/qt5-webkit/files/patch-Source__WebCore__platform__graphics__surfaces__GraphicsSurface.h
  head/www/qt5-webkit/files/patch-Source__WebCore__platform__graphics__surfaces__GraphicsSurfaceToken.h
  head/www/qt5-webkit/files/patch-Source_cmake_ECMGeneratePkgConfigFile.cmake
  head/www/qt5-webkit/files/patch-Source_cmake_KDEInstallDirs.cmake
  head/www/qt5-webkit/files/patch-Tools_qmake_config.tests_glx_glx.pro
  head/www/qt5-webkit/files/patch-Tools_qmake_config.tests_leveldb_leveldb.cpp
  head/www/qt5-webkit/files/patch-Tools_qmake_config.tests_leveldb_leveldb.pro
  head/www/qt5-webkit/files/patch-Tools_qmake_config.tests_libXcomposite_libXcomposite.pro
  head/www/qt5-webkit/files/patch-Tools_qmake_config.tests_libXrender_libXrender.pro
  head/www/qt5-webkit/pkg-descr
  head/www/qt5-webkit/pkg-plist
Comment 5 Tobias C. Berner freebsd_committer 2017-08-20 08:47:15 UTC
Thanks for the exp-run.